/*
 * TableDef.java
 *
 * Created on 23  2002 ., 19:06
 */

package com.fn.dbgen;


import java.util.Map;
import org.w3c.dom.Element;


/**
 *
 * @author  asso
 */
public class TableDef {
    
    private String createStart;
    private String createEnd;
    
    /** Creates a new instance of TableDef */
    public TableDef(Element element) throws DgException {
        createStart = XMLUtils.getTrimmedSubtagData(element, "start");
        createEnd = XMLUtils.getTrimmedSubtagData(element, "end");
    }
    
    
    public void startTable(Element element, Table table) throws DgException {
        Map args = table.getParams();
        table.addDef(Macros.processMacroses(createStart, element, args));
    }
    
    public void endTable(Element element, Table table) throws DgException {
        Map args = table.getParams();
        table.addDef(Macros.processMacroses(createEnd, element, args));
    }
}
